Package robocode

## Class KeyReleasedEvent

- java.lang.Object
- - robocode.Event
  - - robocode.KeyEvent
    - - robocode.KeyReleasedEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Event>`

    public final class KeyReleasedEvent
    extends KeyEvent

A KeyReleasedEvent is sent to `onKeyReleased()` when a key has been released on the keyboard.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `KeyPressedEvent`, `KeyTypedEvent`, Serialized Form

### Constructor Summary

Constructors
`KeyReleasedEvent​(java.awt.event.KeyEvent source)` Called by the game to create a new KeyReleasedEvent.

### Method Summary

### Methods inherited from class robocode.KeyEvent

`getSourceEvent`

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyReleasedEvent

    public KeyReleasedEvent​(java.awt.event.KeyEvent source)

Called by the game to create a new KeyReleasedEvent.

Parameters:
  `source` - the source key event originating from the AWT.